textout_ex(3)

NAME
textout_ex

SYNOPSIS
#include <allegro.h>

void textout_ex(BITMAP *bmp, const FONT *f, const char *s, int x, y, color, bg);

DESCRIPTION
Writes the string s onto the bitmap at position x, y, using the specified font, foreground color and background color. If the background color is -1, then the text is written transparently. If the foreground color is -1 and a color font is in use, it will be drawn using the colors from the original font bitmap (the one you imported into the grabber program), which allows multicolored text output.

SEE ALSO
font(3), textout_centre_ex(3), textout_right_ex(3), textout_justify_ex(3), textprintf_ex(3), text_height(3), text_length(3)